KJL - Feature #2854

Status Purchase Requisition Setelah PO Approved
07/05/2024 10:08 AM - jihad ....

Status: Closed Start date: 07/05/2024
Priority: High Due date: 07/09/2024
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mba Yoma,

Ingin dibuatkan settingan dimana jika PO terbuat dari PR, dan PO tersebut ber-document status Approved maka PR yang di ref akan
merubah document status menjadi Released.

Untuk Status Released di PR udah aku tambahkan di table PCMBSPURCHASEDOCSTATUS

StartDate EndDate DocType DocStatus Description
20160101 99991231 PE 1 Draft
20160101 99991231 PE 2 Approved
20160101 49991231 PE 3 Cancel
20160101 99991231 PO 4 Draft
20160101 99991231 PO 5 In Process
20160101 49991231 PO b Approved
20160101 99991231 PO 7 Cancel
20160101 99991231 PR 1 Draft
20160101 99991231 PR 2 Approved
20160101 49991231 PR 3 Cancel
20160101 99991231 PR 4 Released

b MULL MWULL MULL NULL

Jika terdapat kurang jelas atas penjelasan diatas, langsung tanyain aja mba ke aku untuk penjelasan lebih lanjut.

Menu: Purchase Requisiton dan Purchase Order
Port: http://remote.minovais.com:61138/

Server: remote.minovais.com,1452

DB: MinovaES_KJL_Prod

Terima kasih

History

#1 - 07/05/2024 04:49 PM - Kezia Pawitra Yulianti
- Due date set to 07/09/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 07/22/2024 11:14 AM - jihad ....

Mba yoma,

ingin ditambahkan valdiasi dong mba...

untuk status "released" ingin tidak ditampilkan/dihide saja, untuk menghindari user saat create dan edit memilih status tersebut.

seperti yang penjelasan diatas ingin dibuatkan settingan dimana jika PO terbuat dari PR, dan PO tersebut ber-document status Approved maka PR
yang di ref akan merubah document status menjadi Released.
http://remote.minovais.com:61138/

ketika PO terbuat tanpa PR maka tidak pelu melakukan generate.
Jika mungkin kurang penjelasannya bisa ditanyakan saja mba secara langsung, agar lebih enak dijelaskannya

Terima kasih

#3 - 08/01/2024 10:58 AM - Tri Rizqiaty

- File PFILOUPDATEPURCHASESTATUS 202407311716.sql added
- File MinovalS.MinovaES.Business.Logistic.dll added

- File MinovalS.MinovaES.Extensions.Data.Element.FILO.dll added

- Status changed from Assigned to Developing

Fixing

1. update folder API2-bin dengan dIl terlampir
2. Execute SP

#4 - 08/01/2024 10:58 AM - Tri Rizgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to jihad ....

#5 - 08/01/2024 11:38 AM - jihad ....

- File clipboard-202408011114-bgg4o.png added
- Status changed from QA Test to Assigned

- Assignee changed from jihad .... to Tri Rizqiaty

Sudah bisa mba Yoma, sisa validasi saja yang ini:

untuk status "released" ingin tidak ditampilkan/dihide saja, untuk menghindari user saat create dan edit memilih status tersebut dan ketika PO terbuat

tanpa PR maka tidak pelu melakukan generate.

Terima kasih

#6 - 08/05/2024 10:36 AM - Tri Rizqiaty

- File Deploy 20240802 KJL PR Realeased.rar added

- Status changed from Assigned to QA Test

- Assignee changed from Tri Rizqiaty to jihad ....

Fixing sesuai file terlampir.

Notes : document status tidak bisa dihilangkan, tp ditambahkan validasi agar tidak bisa dipilih.

#7 - 08/07/2024 08:46 AM - jihad ....
- Status changed from QA Test to Closed

Terima kasih mba

#8 - 09/19/2024 10:12 AM - haykal haykal
- Status changed from Closed to Deploy

- Assignee changed from jihad .... to Muhammad Bintar

#9 - 09/19/2024 02:37 PM - Muhammad Bintar
- Status changed from Deploy to Closed

- Assignee changed from Muhammad Bintar to Tri Rizqiaty

sudah deploy ke kjl prod di cloud

Files

clipboard-202407051006-4xkgy.png 20 KB 07/05/2024
